function tickDuration=GetSecsTick
% function tickDuration=GetSecsTick
% 
% GetSecsTick returns the fraction of a second which is a tick of the GetSecs clock. 
% 
% See also: WaitSecs, GetTicks, WaitTicks, GetSecs, GetSecsTest, Screen PeekBlanking.

% 3/15/02  awi  wrote it.
% 4/02/02  awi  Changed the return value to the clock period from the clock frequency. 
%               Changed the name from "GetTimeBase" to "GetSecsTick".
%               Added script provided by Denis for Mac version of the Psychtoolbox

if strcmp(computer,'MAC2')
	available=Screen('Preference','Available');
	if available.UpTime
       tickDuration=1e-9; % UpTime tick (a rough guess)
	else
       tickDuration=8e-6; % Microseconds tick (a rough guess)
	end   
end

% else we are windows which defaults to executing the .dll
    
