%   Psychtoolbox:PsychHardware:Joystick.
%
%   The Psychtoolbox Joystick extensions use the Simple DirectMedia Layer (SDL) library which 
%   is included under the terms of the LGPL license. Enter "LGPL" at the Matlab command 
%   prompt to view the LGPL.  To learn more about SDL see www.libsdl.org.  
%
%   Source code for the Psychtoolbox Joystick extensions is available from www.psychtoolbox.org.  
%   Upon request we will provide SDL source code, wich is also available from  www.libsdl.org.
%
%   Mac: Joystick functions have been included with the Psychtoolbox beginning in version 2.5
%
%   Joystick requires:
%
%   -Apple GameSprockets extensions.  The GameSprockts installer is available from Apple at: 
%    http://kbase.info.apple.com/cgi-bin/WebObjects/kbase.woa/28/wa/query?searchMode=Expert&type=id&val=KC.31236
%
%   -The SDL extension must be moved to your System:Extensions folder and your computer restarted.  
%    If you used the Psychtoolbox installer this should have been done for you.  The SDL
%    extension is included with the Psychtoolbox in the folder
%    Matlab:Toolbox:Psychtoolbox:PsychHardware:Joystick.  
%   
%   Win: Joystick functions have been omitted from Psychtoolbox 2.5 because of a bug which 
%   prevents the extensions from loading on many systems.  An update to Win Joystick functions 
%   will be released separately at a later date.  
%  
%   help Psychtoolbox % For an overview, triple-click me & hit enter.
%
%     AxisCenter          - Return a constant for the axis center position, 0.
%     AxisDown            - Return a constant for the axis in the extreme down position, 32767.
%     AxisLeft            - Return the value for axis in extreme left position, -32768.
%     AxisMax             - Returns the maximum value for an axis, 32767.
%     AxisMin             - Returns the minimum value for an axis, -32768.
%     AxisRight           - Returns the value for an axis in the extreme right position, 32767
%     AxisUp              - Returns a constant for the axis in the extreme up position, -32768
%     HatCentered         - Return a constant for hat center position. 
%     HatUp               - Return a constant for hat up position.
%     HatRight            - Return a constant for hat right position.
%     HatDown             - Return a constant for hat down position.
%     HatLeft             - Return a constant for hat left position
%     HatRightUp          - Return a constant for hat right and up position
%     HatRightDown        - Return a constant for hat right and down position
%     HatLeftUp           - Return a constant for hat left and up position
%     HatLeftDown         - Return a constant for the hat left and down position
%     JoyStick            - Functions to read any USB joystick ** type "joystick" for a list ** (MEX)
%
